"
 COPYRIGHT (c) 1995 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"



'From Smalltalk/X, Version:2.10.5 on 25-mar-1995 at 11:44:17 am'!

Object subclass:#EventListener
	 instanceVariableNames:'helpInfo'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Interface-Help'
!

!EventListener class methodsFor:'documentation'!

version
"
$Header: /cvs/stx/stx/libview2/EventListener.st,v 1.1 1995-03-31 03:12:37 claus Exp $
"
!

documentation
"
    abstract class for event listeners
"
!

copyright
"
 COPYRIGHT (c) 1995 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"


! !

!EventListener methodsFor:'events'!

buttonRelease:button x:x y:y view:aView
    ^ false

!

keyPress:key x:x y:y view:aView
    ^ false

!

buttonMultiPress:button x:x y:y view:aView
    ^ false

!

buttonPress:button x:x y:y view:aView
    ^ false

!

buttonMotion:state x:x y:y view:aView
    ^ false
!

pointerLeave:state view:view
    ^ false

!

pointerEnter:state x:x y:y view:view
    ^ false

!

buttonShiftPress:button x:x y:y view:aView
    ^ false

!

keyRelease:key x:x y:y view:aView
    ^ false

! !

!EventListener methodsFor:'listen'!

listen
    "install myself as listener"

    WindowSensor eventListener:self

    "
     |listener|

     listener := EventListener new.
     listener listen.
     (Delay forSeconds:20) wait.
     listener unlisten
    "
!

unlisten
    "uninstall myself as listener"

    WindowSensor eventListener:nil 
! !

